This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1474386 - SELinux is preventing cat from 'getattr' accesses on the file /run/tlp/last_pwr.
SELinux is preventing cat from 'getattr' accesses on the file /run/tlp/last_pwr.
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:4e02ed7bf1d97580c854ba23351...
:
: 1480803 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 09:49 EDT by xzj8b3
Modified: 2017-09-27 16:33 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xzj8b3 2017-07-24 09:49:51 EDT
Description of problem:
SELinux is preventing cat from 'getattr' accesses on the file /run/tlp/last_pwr.

*****  Plugin restorecon (99.5 confidence) suggests   ************************

If si desidera sistemare l'etichetta. 
L'etichetta predefinita di /run/tlp/last_pwr dovrebbe essere tlp_var_run_t.
Then you can run restorecon. The access attempt may have been stopped due to insufficient permissions to access a parent directory in which case try to change the following command accordingly.
Do
# /sbin/restorecon -v /run/tlp/last_pwr

*****  Plugin catchall (1.49 confidence) suggests   **************************

If si crede che cat dovrebbe avere possibilità di accesso getattr sui last_pwr file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
allow this access for now by executing:
# ausearch -c 'cat' --raw | audit2allow -M my-cat
# semodule -X 300 -i my-cat.pp

Additional Information:
Source Context                system_u:system_r:tlp_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /run/tlp/last_pwr [ file ]
Source                        cat
Source Path                   cat
Port                          <Sconosciuto>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.7-300.fc26.x86_64 #1 SMP Mon
                              Jun 26 14:54:05 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-07-03 15:01:15 CEST
Last Seen                     2017-07-03 15:12:15 CEST
Local ID                      3addd37a-e141-4dec-ae5a-64807c2d87e7

Raw Audit Messages
type=AVC msg=audit(1499087535.478:469): avc:  denied  { getattr } for  pid=15740 comm="rm" path="/run/tlp/last_pwr" dev="tmpfs" ino=27427 scontext=system_u:system_r:tlp_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=file permissive=1


Hash: cat,tlp_t,var_run_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1405281
Comment 1 nasi 2017-07-24 13:39:39 EDT
Description of problem:
opened lid of laptop in standby

Version-Release number of selected component:
selinux-policy-3.13.1-260.1.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.8-300.fc26.x86_64
type:           libreport
Comment 2 felipeatalaia.s7 2017-08-11 18:29:34 EDT
*** Bug 1480803 has been marked as a duplicate of this bug. ***
Comment 3 Frank Büttner 2017-08-27 13:54:29 EDT
Description of problem:
Plug in power adapter.

Version-Release number of selected component:
selinux-policy-3.13.1-260.4.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.8-300.fc26.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.